This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 823166 - Review Request: perl-B-Hooks-OP-Check-EntersubForCV - Invoke callbacks on construction of entersub OPs for certain CVs
Review Request: perl-B-Hooks-OP-Check-EntersubForCV - Invoke callbacks on con...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://search.cpan.org/dist/B-Hooks-O...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 12:10 EDT by Iain Arnell
Modified: 2016-03-18 05:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 18:23:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-05-19 12:10:53 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-B-Hooks-OP-Check-EntersubForCV.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-B-Hooks-OP-Check-EntersubForCV-0.09-1.fc18.src.rpm

Description:
Invoke callbacks on construction of entersub OPs for certain CVs.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4089006

*rt-0.10_02
Comment 1 Petr Pisar 2012-05-23 12:34:37 EDT
Source file is original. Ok.
Summary verified from lib/B/Hooks/OP/Check/EntersubForCV.pm. Ok.
License verified from lib/B/Hooks/OP/Check/EntersubForCV.pm. Ok.
Description is Ok.
URL and Source0 are usable. Ok.
There is an XS code, BuildArch is Ok.

FIX: Build-require `perl(inc::Module::Install)' (Makefile.PL:3).

FIX: Build-require Perl modules needed by bundled inc/* files (e.g. `perl(Cwd)') or, which I recommend, remove the inc content (be ware of inc/.author to skip author tests).  Then you do not need to build-require perl(ExtUtils::MakeMaker).

All tests pass. Ok.

$ rpmlint  perl-B-Hooks-OP-Check-EntersubForCV.spec ../SRPMS/perl-B-Hooks-OP-Check-EntersubForCV-0.09-1.fc18.src.rpm ../RPMS/x86_64/perl-B-Hooks-OP-Check-EntersubForCV-*
perl-B-Hooks-OP-Check-EntersubForCV.src: W: spelling-error Summary(en_US) entersub -> enter sub, enter-sub, subtenant
perl-B-Hooks-OP-Check-EntersubForCV.src: W: spelling-error %description -l en_US entersub -> enter sub, enter-sub, subtenant
perl-B-Hooks-OP-Check-EntersubForCV.x86_64: W: spelling-error Summary(en_US) entersub -> enter sub, enter-sub, subtenant
perl-B-Hooks-OP-Check-EntersubForCV.x86_64: W: spelling-error %description -l en_US entersub -> enter sub, enter-sub, subtenant
perl-B-Hooks-OP-Check-EntersubForCV.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/B/Hooks/OP/Check/EntersubForCV/Install/hook_op_check_entersubforcv.h
perl-B-Hooks-OP-Check-EntersubForCV-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package perl-B-Hooks-OP-Check-EntersubForCV.
3 packages and 1 specfiles checked; 1 errors, 5 warnings.
rpmlint is Ok.

$ rpm -q -lv -p  ../RPMS/x86_64/perl-B-Hooks-OP-Check-EntersubForCV-0.09-1.fc18.x86_64.rpm                                                drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/B
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/B/Hooks
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/B/Hooks/OP
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/B/Hooks/OP/Check
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/B/Hooks/OP/Check/EntersubForCV
-rw-r--r--    1 root    root                     3111 Mar 12 20:48 /usr/lib64/perl5/vendor_perl/B/Hooks/OP/Check/EntersubForCV.pm
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/B/Hooks/OP/Check/EntersubForCV/Install
-rw-r--r--    1 root    root                      610 May 23 18:12 /usr/lib64/perl5/vendor_perl/B/Hooks/OP/Check/EntersubForCV/Install/Files.pm
-rw-r--r--    1 root    root                      414 Sep 10  2011 /usr/lib64/perl5/vendor_perl/B/Hooks/OP/Check/EntersubForCV/Install/hook_op_check_entersubforcv.h
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/auto/B
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/auto/B/Hooks
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/auto/B/Hooks/OP
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/auto/B/Hooks/OP/Check
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/lib64/perl5/vendor_perl/auto/B/Hooks/OP/Check/EntersubForCV
-rwxr-xr-x    1 root    root                    10400 May 23 18:12 /usr/lib64/perl5/vendor_perl/auto/B/Hooks/OP/Check/EntersubForCV/EntersubForCV.so
drwxr-xr-x    2 root    root                        0 May 23 18:12 /usr/share/doc/perl-B-Hooks-OP-Check-EntersubForCV-0.09
-rw-r--r--    1 root    root                     1121 Mar 12 20:49 /usr/share/doc/perl-B-Hooks-OP-Check-EntersubForCV-0.09/Changes
-rw-r--r--    1 root    root                     2496 Sep 26  2011 /usr/share/doc/perl-B-Hooks-OP-Check-EntersubForCV-0.09/README
-rw-r--r--    1 root    root                     2786 May 23 18:12 /usr/share/man/man3/B::Hooks::OP::Check::EntersubForCV.3pm.gz
File permissions and layout are Ok.

$ rpm -q --requires  -p  ../RPMS/x86_64/perl-B-Hooks-OP-Check-EntersubForCV-0.09-1.fc18.x86_64.rpm |sort |uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 perl(B::Hooks::OP::Check) >= 0.19
      1 perl(B::Utils) >= 0.19
      1 perl(DynaLoader)
      1 perl(:MODULE_COMPAT_5.14.2)
      1 perl(parent)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -q --provides -p  ../RPMS/x86_64/perl-B-Hooks-OP-Check-EntersubForCV-0.09-1.fc18.x86_64.rpm |sort |uniq -c
      1 perl(B::Hooks::OP::Check::EntersubForCV) = 0.09
      1 perl-B-Hooks-OP-Check-EntersubForCV = 0.09-1.fc18
      1 perl(B::Hooks::OP::Check::EntersubForCV::Install::Files)
      1 perl-B-Hooks-OP-Check-EntersubForCV(x86-64) = 0.09-1.fc18
Binary provides are Ok.

TODO: What the perl(B::Hooks::OP::Check::EntersubForCV::Install::Files)? It seems like a auto-generated Provides based on the file name. Why the file is installed? It's content is identical to B::Hooks::OP::Check::EntersubForCV. Is the file necessary? ExtUtils::Depends::save_config() explains that's for backward compatibility. It think you can filter this symbol from set of Provides.

$ resolvedeps rawhide  ../RPMS/x86_64/perl-B-Hooks-OP-Check-EntersubForCV-0.09-1.fc18.x86_64.rpm 
Binary dependencies resolvable. Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4096693). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' prefixed issues, consider fixing `TODO' items and provide new spec file.

Resolution: Package NOT approved.
Comment 2 Iain Arnell 2012-06-03 13:32:04 EDT
Updated to BuildRequire perl(inc::Module::Install) - purely to get the build-time dependencies right. I've not removed the inc/ content itself as that's what Module::Install is supposed to be using for installation. 

B::Hooks::OP::Check::EntersubForCV::Install::Files is an ExtUtils::Depends thing. ExtUtils::Depends::save_config() actually explains that it's the $filename passed to save_config() that's kept for backward compatibility - not the Install/Files.pm module itself. Although it's unlikely to be used as an rpm dependency, there's no harm in leaving it as is. There's plenty of other packages built using ExtUtils::Depends that also provide perl(*::Install::Files).

Spec URL: http://fedorapeople.org/~iarnell/review/perl-B-Hooks-OP-Check-EntersubForCV.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-B-Hooks-OP-Check-EntersubForCV-0.09-2.fc18.src.rpm

Koji URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=4123862
Comment 3 Petr Pisar 2012-06-04 05:37:33 EDT
Spec file changes:
--- perl-B-Hooks-OP-Check-EntersubForCV.spec.old        2012-05-19 18:10:35.000000000 +0200
+++ perl-B-Hooks-OP-Check-EntersubForCV.spec    2012-06-03 19:14:51.000000000 +0200
@@ -1,6 +1,6 @@
 Name:           perl-B-Hooks-OP-Check-EntersubForCV
 Version:        0.09
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Invoke callbacks on construction of entersub OPs for certain CVs
 License:        GPL+ or Artistic
 Group:          Development/Libraries
@@ -9,10 +9,13 @@
 BuildRequires:  perl(B::Hooks::OP::Check) >= 0.19
 BuildRequires:  perl(B::Utils) >= 0.19
 BuildRequires:  perl(ExtUtils::Depends)
-BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(inc::Module::Install)
+BuildRequires:  perl(Module::Install::ExtraTests)
 BuildRequires:  perl(parent)
 BuildRequires:  perl(Scalar::Util)
 BuildRequires:  perl(Test::More)
+BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod::Coverage)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

 %{?perl_default_filter}
@@ -45,5 +48,8 @@
 %{_mandir}/man3/*

 %changelog
+* Sat May 26 2012 Iain Arnell <iarnell@gmail.com> 0.09-2
+- BuildRequire inc::Module::Install, not EU::MM
+
 * Fri Apr 20 2012 Iain Arnell <iarnell@gmail.com> 0.09-1
 - Specfile autogenerated by cpanspec 1.79.


> FIX: Build-require `perl(inc::Module::Install)' (Makefile.PL:3).
-BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(inc::Module::Install)
Ok.

> > FIX: Build-require Perl modules needed by bundled inc/* files (e.g. `perl(Cwd)')
> > or, which I recommend, remove the inc content (be ware of inc/.author to skip
> > author tests).  Then you do not need to build-require perl(ExtUtils::MakeMaker).
> Updated to BuildRequire perl(inc::Module::Install) - purely to get the build-time
> dependencies right. I've not removed the inc/ content itself as that's what
> Module::Install is supposed to be using for installation.
How can you be sure the Fedora and the inc files have the same set of dependencies? This is exactly the transitive dependency with unspecified direct dependencies I don't like. It's much better then before, but still I don't feel safe. If we agree we have to specify dependencies, I cannot see a reason why inc/ code should be an exception.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4125035). Ok.

Resolution: Package APPROVED.
Comment 4 Iain Arnell 2012-06-06 07:52:43 EDT
New Package SCM Request
=======================
Package Name: perl-B-Hooks-OP-Check-EntersubForCV
Short Description: Invoke callbacks on construction of entersub OPs for certain CVs
Owners: iarnell
Branches: f16 f17
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-06-06 09:21:14 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-06-09 11:42:13 EDT
perl-B-Hooks-OP-Check-EntersubForCV-0.09-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-B-Hooks-OP-Check-EntersubForCV-0.09-2.fc17
Comment 7 Fedora Update System 2012-06-09 11:42:24 EDT
perl-B-Hooks-OP-Check-EntersubForCV-0.09-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-B-Hooks-OP-Check-EntersubForCV-0.09-2.fc16
Comment 8 Fedora Update System 2012-06-09 21:32:02 EDT
perl-B-Hooks-OP-Check-EntersubForCV-0.09-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2012-06-17 18:23:10 EDT
perl-B-Hooks-OP-Check-EntersubForCV-0.09-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-06-17 18:25:16 EDT
perl-B-Hooks-OP-Check-EntersubForCV-0.09-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.